Bug 1214597 - e19 on F22 crashes with wayland error
Summary: e19 on F22 crashes with wayland error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: enlightenment
Version: 22
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-23 07:37 UTC by Christian Herzog
Modified: 2015-06-21 00:32 UTC (History)
5 users (show)

Fixed In Version: enlightenment-0.19.5-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-21 00:32:27 UTC


Attachments (Terms of Use)

Description Christian Herzog 2015-04-23 07:37:49 UTC
Description of problem:
when trying to run e19 on F22 beta on my Samsung NC10 netbook, the session crashes very early in the e19 setup process


Version-Release number of selected component (if applicable):
0.19.4-1.fc22

How reproducible:
always

Steps to Reproduce:
1. choose enlightenment session
2. log in
3. crash

Actual results:
goes back to graphical login b/c session crashed

Expected results:
e19 session

Additional info:
by running enlightenment_start from an xterm, I get:

ESTART: 0.00002 [0.00002] - Begin Startup
ESTART: 0.00016 [0.00014] - Signal Trap
ESTART: 0.00019 [0.00003] - Signal Trap Done
ESTART: 0.01432 [0.01413] - Eina Init
[...]
ESTART: 1.65426 [0.01337] - E_Xkb Init
ESTART: 1.66093 [0.00667] - E_Xkb Init Done
ESTART: 1.66100 [0.00008] - Compositor Init
RR: crtc found 3f | 0 0 0x0 - 0 . 1
RR: crtc found 40 | 0 0 1024x600 - 46 . 1
RR: crtc found 41 | 0 0 0x0 - 0 . 1
RR: ====================
RR: output 42 LVDS1 0 0x82ae328
RR: ouput on crtc = 0x82aabe0
RR: _e_randr_output_active_set... [LVDS1] 0 1
RR: ecore_x_randr_output_crtc_get 42 = 40
RR:  ... found crtc 1
RR:  ... add active output for crtc now
RR: _e_randr_output_active_set... done - 0x82aabe0
RR: ... 1 - LVDS1
RR: ... 2
RR: ... 3
RR: ... 4
RR: ... 4.1 ... 0 60.000 cfg=0x82ae328 modes=0x82ae178 nmodes=1
RR: ... 4.2 - match 1024x600 @ 60.000
RR: ... 5
RR: ... 7
RR: ... 9
RR: ... 9.1 1024x600 @ 60.000
RR: ... 10
RR: output 43 VGA1 2 0x82aab88
RR: output 44 VIRTUAL1 1 0x82ae1b0
RRR0: size range: 8x8 -> 32767x32767
RRR0:   crtc: 3f 0 0 0x0 rot: 1 mode: 0
RRR0:   crtc: 40 0 0 1024x600 rot: 1 mode: 70
RRR:       output: 'LVDS1' lid: 1 active: 1 status: 0
RRR0:   crtc: 41 0 0 0x0 rot: 1 mode: 0
RRR1: current screen size: 1024x600
RRR2:   crtc: 3f 0 0 0x0 rot: 1 mode: 0
RRR2:   crtc dose not fit - off
RRR2:   crtc: 40 0 0 1024x600 rot: 1 mode: 70
RRR:       output: 'LVDS1' lid: 1 active: 1 status: 0
RRR2:   add output LVDS1
RRR2:   set mode 40 | 0 0 1024x600 | 46 | 1
RRR2:   crtc: 41 0 0 0x0 rot: 1 mode: 0
RRR2:   crtc dose not fit - off
ESTART: 2.73217 [1.07117] - E_Dnd Init
ESTART: 2.73289 [0.00071] - E_Dnd Init Done
[..]
ESTART: 3.46949 [0.00002] - E_Shelf Init Done
ESTART: 3.46954 [0.00005] - MAIN LOOP AT LAST
ESTART: 4.20193 [0.73240] - SLEEP
ERR<>lib/ecore_wayland/ecore_wl_input.c:223 safety check failed: input->display->wl.shm == NULL
ERR<>lib/ecore_wayland/ecore_wl_input.c:238 safety check failed: input->display->wl.shm == NULL
xdg_shell@12: error 0: Incompatible versions. Server: 3, Client: 4
E: Begin Shutdown Procedure!
ERR<ecore>lib/ecore/ecore.c:691 
*** ECORE ERROR: Ecore Magic Check Failed!!!
*** IN FUNCTION: ecore_main_fd_handler_del()
ERR<ecore>lib/ecore/ecore.c:695   Input handle has already been freed!
ERR<ecore>lib/ecore/ecore.c:704 *** NAUGHTY PROGRAMMER!!!
*** SPANK SPANK SPANK!!!
*** Now go fix your code. Tut tut tut!
ERR<efreet_cache>lib/efreet/efreet_cache.c:1134 org.enlightenment.DBus.Canceled Canceled by user.
ERR<e>src/bin/e_msgbus.c:173 Could not request bus name
E - PID=2548, valgrind=0

Comment 1 Ding-Yi Chen 2015-04-23 08:22:35 UTC
Referrer Bug 1175952 Comment 9.

After I remove --enable-wayland flag on when I build efl, the enlightenment start working.

Comment 2 Marina Fadeeva 2015-05-28 06:56:55 UTC
same thing here.
Had to recompile efl with --enable-wayland, elementary with --disable-ecore-wayland and enlightenment itself w/o wayland. 
After that enlightenment was able to start almost fine (systray has some glitches, but generally OK).

Comment 3 Marina Fadeeva 2015-05-28 07:28:10 UTC
oops, efl without --enable-wayland of cause.

Comment 4 Fedora Update System 2015-05-28 22:38:29 UTC
efl-1.14.0-1.fc22,elementary-1.14.0-1.fc22,evas-generic-loaders-1.14.0-1.fc22,enlightenment-0.19.5-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/efl-1.14.0-1.fc22,elementary-1.14.0-1.fc22,evas-generic-loaders-1.14.0-1.fc22,enlightenment-0.19.5-2.fc22

Comment 5 Fedora Update System 2015-05-30 15:37:18 UTC
Package elementary-1.14.0-1.fc22, enlightenment-0.19.5-2.fc22, efl-1.14.0-1.fc22, evas-generic-loaders-1.14.0-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing elementary-1.14.0-1.fc22 enlightenment-0.19.5-2.fc22 efl-1.14.0-1.fc22 evas-generic-loaders-1.14.0-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9061/efl-1.14.0-1.fc22,elementary-1.14.0-1.fc22,evas-generic-loaders-1.14.0-1.fc22,enlightenment-0.19.5-2.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-06-06 00:12:57 UTC
Package enlightenment-0.19.5-2.fc22, evas-generic-loaders-1.14.0-1.fc22, efl-1.14.1-1.fc22, elementary-1.14.1-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing enlightenment-0.19.5-2.fc22 evas-generic-loaders-1.14.0-1.fc22 efl-1.14.1-1.fc22 elementary-1.14.1-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9061/efl-1.14.1-1.fc22,elementary-1.14.1-1.fc22,evas-generic-loaders-1.14.0-1.fc22,enlightenment-0.19.5-2.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Admin XMLRPC Client 2015-06-18 18:09:51 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Update System 2015-06-21 00:32:27 UTC
enlightenment-0.19.5-2.fc22, evas-generic-loaders-1.14.0-1.fc22, efl-1.14.1-1.fc22, elementary-1.14.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.